### Function

# GUPnP ServiceProxyAction new_plain

since: 1.6.6

#### Declaration [src]

    GUPnPServiceProxyAction*
    gupnp_service_proxy_action_new_plain (
      const char* action
    )

#### Description [src]

Prepares action `action` with to be sent off to a remote service later with `gupnp_service_proxy_call_action()` or `gupnp_service_proxy_call_action_async()` if no arguments required or by adding more parameters with `gupnp_service_proxy_action_add()`

After the action call has finished, the results of the call may be retrived from the `GUPnPServiceProxyAction` by using gupnp_service_proxy_action_get_result(), `gupnp_service_proxy_action_get_result_list()` or `gupnp_service_proxy_action_get_result_hash()`

“`c GUPnPServiceProxyAction *action = gupnp_service_proxy_action_new_plain (“GetVolume”); gupnp_service_proxy_action_add (action, “InstanceID”, value_instance); gupnp_service_proxy_action_add (action, “Channel”, value_channel); ““

Available since: 1.6.6

#### Parameters

`action`

  Type: `const char*`

  The name of a remote action to call.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GUPnPServiceProxyAction`

A newly created `GUPnPServiceProxyAction`.

The caller of the function takes ownership of the data, and is responsible for freeing it.